aboutsummaryrefslogtreecommitdiffstats
path: root/Frameworks
diff options
context:
space:
mode:
authorstuconnolly <stuart02@gmail.com>2012-10-14 14:33:18 +0000
committerstuconnolly <stuart02@gmail.com>2012-10-14 14:33:18 +0000
commit7d14dae0476ee3e3ab7c2fac391c506ac320d5ea (patch)
tree30a0bcf320995c2a004bb480fec72b5ecc96083d /Frameworks
parentc4e9a4be8f5a9a9e7e7884dbdf9ea744481e8bc8 (diff)
downloadsequelpro-7d14dae0476ee3e3ab7c2fac391c506ac320d5ea.tar.gz
sequelpro-7d14dae0476ee3e3ab7c2fac391c506ac320d5ea.tar.bz2
sequelpro-7d14dae0476ee3e3ab7c2fac391c506ac320d5ea.zip
Update test script to check that it's being run from within Xcode.
Diffstat (limited to 'Frameworks')
-rwxr-xr-xFrameworks/PostgresKit/Scripts/run-tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/Frameworks/PostgresKit/Scripts/run-tests.sh b/Frameworks/PostgresKit/Scripts/run-tests.sh
index 73e8292f..3bcb9457 100755
--- a/Frameworks/PostgresKit/Scripts/run-tests.sh
+++ b/Frameworks/PostgresKit/Scripts/run-tests.sh
@@ -32,6 +32,12 @@
#
# More info at <http://code.google.com/p/sequel-pro/>
+if [ "${BUILT_PRODUCTS_DIR}x" == 'x' ]
+then
+ echo 'This script should only be run by Xcode. Exiting...'
+ exit 1
+fi
+
export PGPASSWORD=pgkit
if [ ! -f /Library/PostgreSQL/bin/psql ]